This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010031 - Installer displays overlord password in plain text in UI
Installer displays overlord password in plain text in UI
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: ---
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 14:21 EDT by Len DiMaggio
Modified: 2014-02-06 10:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (83.93 KB, image/png)
2013-09-19 14:22 EDT, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2013-09-19 14:21:48 EDT
Description of problem:

See the attached screenshot - we should never display a password in plaintext in a UI.

Version-Release number of selected component (if applicable):
ER3 installer

How reproducible:
100%

Steps to Reproduce:
1. Run the installer
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Len DiMaggio 2013-09-19 14:22:47 EDT
Created attachment 800050 [details]
Screenshot
Comment 2 Thomas Hauser 2013-09-19 14:31:39 EDT
The requirement for needing this password to even be gathered at all was revealed on Monday. Changing the way izpack displays given variables requires 
modifications to IzPack. 

Additional issues: There is a double ":" in the String giving the user-name.
Comment 3 Len DiMaggio 2013-10-04 15:49:19 EDT
Verified in the Oct 4 ER4 respin #2 build.

Note You need to log in before you can comment on or make changes to this bug.